Announcement

Collapse
No announcement yet.

Can't download patch

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • EvilAkuma
    replied
    Originally posted by z0diac View Post
    Yes I only bought it a couple months ago. But I don't think license dates have anything to do with security patches.

    It would kind of be like buying a car, finding out after warrantee expired that the car could catch on fire due to something, and the manufacturer refusing to fix it
    Yea, but that's if you are up-to-date with the version.

    If I'm on 3.7.1 and they released a security patch for 3.7.12 (an example) I doubt it's going to work and who knows what might happen.

    Leave a comment:


  • TNCclubman
    replied
    oh I misunderstood then. I thought only vB 3.8 patches were available without needing to have an active license. If its all of them then disregard what I said.

    carry on then! lol

    Leave a comment:


  • Zachery
    replied
    Mods, hacks, and customizations we do not provide support for. We do provide support the the latest point release. 3.6.x 3.7.x 3.8.x. In this day and age of vBulletin modifications, minor point release upgrades should be pretty basic.

    Leave a comment:


  • TNCclubman
    replied
    so you do need to renew your license to get the security patch. Not everyone is running 'the latest' release due to mods/themes incompatibility.

    Luckily Im running 3.8.4, but I may not renew to vB4 for various reasons so my board will probably get hacked once vB4 comes out unless I renew...lol

    You really should help keep old cutomers secure once you find a hole in their software they purchased from you, irregardless of them running the latest version.

    Latest features, of course you should ask for more money, but not to make sure people dont get hacked, they should be taken care of.

    From a PR perspective, its something you should consider.

    Leave a comment:


  • Wayne Luke
    replied
    Originally posted by TNCclubman View Post
    so whats the word?

    do you need to renew your license to get security patches?
    No. And you never have. You can download just the security patch by clicking on the link labeled "Security Patches" in the left column of the member's area. However we only provide security patches for the last version in a series. That would be 3.8.4 in this case. If you are not running 3.8.4, then you would need to upgrade in order to continue receiving support. You can still install the security patch but we make no guarantee it will work nor will we provide support for forums with mismatched version files.

    This process hasn't changed since Patch Levels were introduced over 3 years ago.

    Leave a comment:


  • Trevor Hannant
    replied
    Originally posted by TNCclubman View Post
    so whats the word?
    Grease is the word...

    Originally posted by TNCclubman View Post
    do you need to renew your license to get security patches?
    Simple answer - if you don't see it in the download options list then yes, you have to renew.

    Leave a comment:


  • TNCclubman
    replied
    so whats the word?

    do you need to renew your license to get security patches?

    Leave a comment:


  • Trevor Hannant
    replied
    They already have...

    Leave a comment:


  • carntheroos4eva
    replied
    Use a different browser to download it.....

    Leave a comment:


  • z0diac
    replied
    Originally posted by EvilAkuma View Post
    Is your license still good? I also got an email, but I can't download it unless I renew my license.
    Yes I only bought it a couple months ago. But I don't think license dates have anything to do with security patches.

    It would kind of be like buying a car, finding out after warrantee expired that the car could catch on fire due to something, and the manufacturer refusing to fix it

    Leave a comment:


  • z0diac
    replied
    Originally posted by Zachery View Post
    I would suggest disabling your download manager.
    As I said in my post - that is NOT possible.

    (it doesn't want to go away, no matter what). Anyway, I booted up IE and managed to grab it, all is well. It must have been the fact that the file was sent after a form submit button and not a regular hyperlink that was throwing the 'skip download manager' key NOT skip it. THanks.

    Leave a comment:


  • z0diac
    replied
    Originally posted by melbourne View Post
    New patch for 3.8.4 version is 3.8.4 Patch 1

    Upload these 3 files "class_dm.php" , "class_dm_user.php", and "version_vbulletin.php" to

    includes/class_dm.php
    includes/class_dm_user.php
    includes/version_vbulletin.php

    and try manually to over-write the existing files.You must and should have these files on the server.


    I found the issue - WinSCP (which I use to root in and xfer files) had the confirmation box turned off when overwriting existing files. It's been turned ON since I started using that program years ago, and I don't remember ever turning it off. So yes, it could very well have overwritten existing files when I copied them over earlier.

    Thanks.

    Leave a comment:


  • Zachery
    replied
    I would suggest disabling your download manager.

    Leave a comment:


  • bigwater
    replied
    ??? It was my understanding that security patches were made available to users for their existing level as long as that level was still being actively maintained whether the license was currently active or not.

    Leave a comment:


  • EvilAkuma
    replied
    Is your license still good? I also got an email, but I can't download it unless I renew my license.

    Leave a comment:

Related Topics

Collapse

Working...
X